const TaskBase = require("../task.base");
var system = require("../../system")
const logCtl = system.getObject("web.oplogCtl");
class TmDynamicsAllotTask extends TaskBase {
  constructor() {
    super(TaskBase.getServiceName(BusinessOneAllotTask));
    this.bytmdynamicsSve = system.getObject("service.bytmdynamicsSve");
  }
  async subDoTask() {
    await this.execSend();
  }
  async execSend() {
    var tmp = await this.bytmdynamicsSve.notifyWxTmDynamics();
    //日志记录
    logCtl.info({
      optitle: "商标监控动态数量增加微信通知执行结果",
      op: "base/db/task/TmDynamicsAllotTask.js",
      content: "执行结果：" + tmp,
      clientIp: ""
    });
  }
}
module.exports = TmDynamicsAllotTask;
